aagc.vo

## Class AssistibileRegistraPrescrizioniFarmaceuticheErogate

- java.lang.Object
- - aagc.vo.AssistibileRegistraPrescrizioniFarmaceuticheErogate

-     public class AssistibileRegistraPrescrizioniFarmaceuticheErogate
      extends java.lang.Object

  Classe Java per assistibileRegistraPrescrizioniFarmaceuticheErogate complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="assistibileRegistraPrescrizioniFarmaceuticheErogate">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codFiscale" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[0-9]{3}[a-zA-Z]{1})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="idFuoriAnagrafe" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="nome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cognome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataNascita" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}dateTime">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="indDomicilio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="indResidenza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="sesso" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(M|F)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codSanitario" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="cittadinanza" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codISTATresidenza" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codISTATdomicilio" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codISTATnascita" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codRegioneResidenza" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="3"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codAslResidenza" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="3"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="istitutoCompetente" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([0-1][0-9]|[2][0-8]|500001)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="statoEstero" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codIdPersonale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="identificativoTEAM" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="20"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cittadinanza`
    `protected java.lang.String` | `codAslResidenza`
    `protected java.lang.String` | `codFiscale`
    `protected java.lang.String` | `codIdPersonale`
    `protected java.lang.String` | `codISTATdomicilio`
    `protected java.lang.String` | `codISTATnascita`
    `protected java.lang.String` | `codISTATresidenza`
    `protected java.lang.String` | `codRegioneResidenza`
    `protected java.lang.String` | `codSanitario`
    `protected java.lang.String` | `cognome`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataNascita`
    `protected java.lang.String` | `identificativoTEAM`
    `protected java.lang.String` | `idFuoriAnagrafe`
    `protected java.lang.String` | `indDomicilio`
    `protected java.lang.String` | `indResidenza`
    `protected java.lang.String` | `istitutoCompetente`
    `protected java.lang.String` | `nome`
    `protected java.lang.String` | `sesso`
    `protected java.lang.String` | `statoEstero`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistibileRegistraPrescrizioniFarmaceuticheErogate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCittadinanza()` Recupera il valore della proprietà cittadinanza.
    `java.lang.String` | `getCodAslResidenza()` Recupera il valore della proprietà codAslResidenza.
    `java.lang.String` | `getCodFiscale()` Recupera il valore della proprietà codFiscale.
    `java.lang.String` | `getCodIdPersonale()` Recupera il valore della proprietà codIdPersonale.
    `java.lang.String` | `getCodISTATdomicilio()` Recupera il valore della proprietà codISTATdomicilio.
    `java.lang.String` | `getCodISTATnascita()` Recupera il valore della proprietà codISTATnascita.
    `java.lang.String` | `getCodISTATresidenza()` Recupera il valore della proprietà codISTATresidenza.
    `java.lang.String` | `getCodRegioneResidenza()` Recupera il valore della proprietà codRegioneResidenza.
    `java.lang.String` | `getCodSanitario()` Recupera il valore della proprietà codSanitario.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `java.lang.String` | `getIdentificativoTEAM()` Recupera il valore della proprietà identificativoTEAM.
    `java.lang.String` | `getIdFuoriAnagrafe()` Recupera il valore della proprietà idFuoriAnagrafe.
    `java.lang.String` | `getIndDomicilio()` Recupera il valore della proprietà indDomicilio.
    `java.lang.String` | `getIndResidenza()` Recupera il valore della proprietà indResidenza.
    `java.lang.String` | `getIstitutoCompetente()` Recupera il valore della proprietà istitutoCompetente.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `java.lang.String` | `getSesso()` Recupera il valore della proprietà sesso.
    `java.lang.String` | `getStatoEstero()` Recupera il valore della proprietà statoEstero.
    `void` | `setCittadinanza(java.lang.String value)` Imposta il valore della proprietà cittadinanza.
    `void` | `setCodAslResidenza(java.lang.String value)` Imposta il valore della proprietà codAslResidenza.
    `void` | `setCodFiscale(java.lang.String value)` Imposta il valore della proprietà codFiscale.
    `void` | `setCodIdPersonale(java.lang.String value)` Imposta il valore della proprietà codIdPersonale.
    `void` | `setCodISTATdomicilio(java.lang.String value)` Imposta il valore della proprietà codISTATdomicilio.
    `void` | `setCodISTATnascita(java.lang.String value)` Imposta il valore della proprietà codISTATnascita.
    `void` | `setCodISTATresidenza(java.lang.String value)` Imposta il valore della proprietà codISTATresidenza.
    `void` | `setCodRegioneResidenza(java.lang.String value)` Imposta il valore della proprietà codRegioneResidenza.
    `void` | `setCodSanitario(java.lang.String value)` Imposta il valore della proprietà codSanitario.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataNascita.
    `void` | `setIdentificativoTEAM(java.lang.String value)` Imposta il valore della proprietà identificativoTEAM.
    `void` | `setIdFuoriAnagrafe(java.lang.String value)` Imposta il valore della proprietà idFuoriAnagrafe.
    `void` | `setIndDomicilio(java.lang.String value)` Imposta il valore della proprietà indDomicilio.
    `void` | `setIndResidenza(java.lang.String value)` Imposta il valore della proprietà indResidenza.
    `void` | `setIstitutoCompetente(java.lang.String value)` Imposta il valore della proprietà istitutoCompetente.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.
    `void` | `setSesso(java.lang.String value)` Imposta il valore della proprietà sesso.
    `void` | `setStatoEstero(java.lang.String value)` Imposta il valore della proprietà statoEstero.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscale

          protected java.lang.String codFiscale

    - #### idFuoriAnagrafe

          protected java.lang.String idFuoriAnagrafe

    - #### nome

          protected java.lang.String nome

    - #### cognome

          protected java.lang.String cognome

    - #### dataNascita

          protected javax.xml.datatype.XMLGregorianCalendar dataNascita

    - #### indDomicilio

          protected java.lang.String indDomicilio

    - #### indResidenza

          protected java.lang.String indResidenza

    - #### sesso

          protected java.lang.String sesso

    - #### codSanitario

          protected java.lang.String codSanitario

    - #### cittadinanza

          protected java.lang.String cittadinanza

    - #### codISTATresidenza

          protected java.lang.String codISTATresidenza

    - #### codISTATdomicilio

          protected java.lang.String codISTATdomicilio

    - #### codISTATnascita

          protected java.lang.String codISTATnascita

    - #### codRegioneResidenza

          protected java.lang.String codRegioneResidenza

    - #### codAslResidenza

          protected java.lang.String codAslResidenza

    - #### istitutoCompetente

          protected java.lang.String istitutoCompetente

    - #### statoEstero

          protected java.lang.String statoEstero

    - #### codIdPersonale

          protected java.lang.String codIdPersonale

    - #### identificativoTEAM

          protected java.lang.String identificativoTEAM

  - ### Constructor Detail

    - #### AssistibileRegistraPrescrizioniFarmaceuticheErogate

          public AssistibileRegistraPrescrizioniFarmaceuticheErogate()

  - ### Method Detail

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

      Recupera il valore della proprietà codFiscale.
      Returns:
        possible object is `String`

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String value)

      Imposta il valore della proprietà codFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdFuoriAnagrafe

          public java.lang.String getIdFuoriAnagrafe()

      Recupera il valore della proprietà idFuoriAnagrafe.
      Returns:
        possible object is `String`

    - #### setIdFuoriAnagrafe

          public void setIdFuoriAnagrafe(java.lang.String value)

      Imposta il valore della proprietà idFuoriAnagrafe.
      Parameters:
        `value` - allowed object is `String`

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataNascita

          public javax.xml.datatype.XMLGregorianCalendar getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataNascita

          public void setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getIndDomicilio

          public java.lang.String getIndDomicilio()

      Recupera il valore della proprietà indDomicilio.
      Returns:
        possible object is `String`

    - #### setIndDomicilio

          public void setIndDomicilio(java.lang.String value)

      Imposta il valore della proprietà indDomicilio.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndResidenza

          public java.lang.String getIndResidenza()

      Recupera il valore della proprietà indResidenza.
      Returns:
        possible object is `String`

    - #### setIndResidenza

          public void setIndResidenza(java.lang.String value)

      Imposta il valore della proprietà indResidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getSesso

          public java.lang.String getSesso()

      Recupera il valore della proprietà sesso.
      Returns:
        possible object is `String`

    - #### setSesso

          public void setSesso(java.lang.String value)

      Imposta il valore della proprietà sesso.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodSanitario

          public java.lang.String getCodSanitario()

      Recupera il valore della proprietà codSanitario.
      Returns:
        possible object is `String`

    - #### setCodSanitario

          public void setCodSanitario(java.lang.String value)

      Imposta il valore della proprietà codSanitario.
      Parameters:
        `value` - allowed object is `String`

    - #### getCittadinanza

          public java.lang.String getCittadinanza()

      Recupera il valore della proprietà cittadinanza.
      Returns:
        possible object is `String`

    - #### setCittadinanza

          public void setCittadinanza(java.lang.String value)

      Imposta il valore della proprietà cittadinanza.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodISTATresidenza

          public java.lang.String getCodISTATresidenza()

      Recupera il valore della proprietà codISTATresidenza.
      Returns:
        possible object is `String`

    - #### setCodISTATresidenza

          public void setCodISTATresidenza(java.lang.String value)

      Imposta il valore della proprietà codISTATresidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodISTATdomicilio

          public java.lang.String getCodISTATdomicilio()

      Recupera il valore della proprietà codISTATdomicilio.
      Returns:
        possible object is `String`

    - #### setCodISTATdomicilio

          public void setCodISTATdomicilio(java.lang.String value)

      Imposta il valore della proprietà codISTATdomicilio.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodISTATnascita

          public java.lang.String getCodISTATnascita()

      Recupera il valore della proprietà codISTATnascita.
      Returns:
        possible object is `String`

    - #### setCodISTATnascita

          public void setCodISTATnascita(java.lang.String value)

      Imposta il valore della proprietà codISTATnascita.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodRegioneResidenza

          public java.lang.String getCodRegioneResidenza()

      Recupera il valore della proprietà codRegioneResidenza.
      Returns:
        possible object is `String`

    - #### setCodRegioneResidenza

          public void setCodRegioneResidenza(java.lang.String value)

      Imposta il valore della proprietà codRegioneResidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodAslResidenza

          public java.lang.String getCodAslResidenza()

      Recupera il valore della proprietà codAslResidenza.
      Returns:
        possible object is `String`

    - #### setCodAslResidenza

          public void setCodAslResidenza(java.lang.String value)

      Imposta il valore della proprietà codAslResidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getIstitutoCompetente

          public java.lang.String getIstitutoCompetente()

      Recupera il valore della proprietà istitutoCompetente.
      Returns:
        possible object is `String`

    - #### setIstitutoCompetente

          public void setIstitutoCompetente(java.lang.String value)

      Imposta il valore della proprietà istitutoCompetente.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatoEstero

          public java.lang.String getStatoEstero()

      Recupera il valore della proprietà statoEstero.
      Returns:
        possible object is `String`

    - #### setStatoEstero

          public void setStatoEstero(java.lang.String value)

      Imposta il valore della proprietà statoEstero.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIdPersonale

          public java.lang.String getCodIdPersonale()

      Recupera il valore della proprietà codIdPersonale.
      Returns:
        possible object is `String`

    - #### setCodIdPersonale

          public void setCodIdPersonale(java.lang.String value)

      Imposta il valore della proprietà codIdPersonale.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdentificativoTEAM

          public java.lang.String getIdentificativoTEAM()

      Recupera il valore della proprietà identificativoTEAM.
      Returns:
        possible object is `String`

    - #### setIdentificativoTEAM

          public void setIdentificativoTEAM(java.lang.String value)

      Imposta il valore della proprietà identificativoTEAM.
      Parameters:
        `value` - allowed object is `String`